Bug 156407 - Web Inspector: get rid of InspectorBasicValue and InspectorString subclasses
Summary: Web Inspector: get rid of InspectorBasicValue and InspectorString subclasses
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Brian Burg
URL:
Keywords: InRadar
Depends on: 156442
Blocks: 156424
  Show dependency treegraph
 
Reported: 2016-04-08 10:29 PDT by Brian Burg
Modified: 2016-04-11 16:22 PDT (History)
12 users (show)

See Also:


Attachments
Proposed Fix (25.71 KB, patch)
2016-04-08 10:42 PDT, Brian Burg
no flags Details | Formatted Diff | Diff
Proposed Fix (v2) (32.88 KB, patch)
2016-04-11 13:49 PDT, Brian Burg
joepeck: review+
bburg: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2016-04-08 10:29:42 PDT
They don't do anything helpful, and actively prevent code sharing/cleanup.
Comment 1 Radar WebKit Bug Importer 2016-04-08 10:30:36 PDT
<rdar://problem/25627659>
Comment 2 Brian Burg 2016-04-08 10:42:09 PDT
Created attachment 276011 [details]
Proposed Fix
Comment 3 WebKit Commit Bot 2016-04-08 12:59:25 PDT
Comment on attachment 276011 [details]
Proposed Fix

Clearing flags on attachment: 276011

Committed r199242: <http://trac.webkit.org/changeset/199242>
Comment 4 WebKit Commit Bot 2016-04-08 12:59:29 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Alexey Proskuryakov 2016-04-09 13:28:39 PDT
r199242 introduced a large number of leaks on the bots. Will try to roll out now.

Apr 08 14:17	199246	failure	#4343	Failed 112636 total leaks found for a total of 15,171,488 bytes. 460 unique leaks found. 2 failures 9 new passes
Apr 08 13:56	199245	failure	#4342	Failed 110033 total leaks found for a total of 23,142,368 bytes. 425 unique leaks found. 9 new passes
Apr 08 13:30	199242	failure	#4341	Failed 114409 total leaks found for a total of 282,429,440 bytes. 423 unique leaks found. 1 failures 9 new passes
Apr 08 13:08	199241	failure	#4340	Failed 6828 total leaks found for a total of 2,673,520 bytes. 207 unique leaks found. 2 failures 9 new passes
Apr 08 12:46	199240	failure	#4339	Failed 5586 total leaks found for a total of 1,496,480 bytes. 129 unique leaks found. 13 failures 9 new passes
Apr 08 12:08	199237	failure	#4338	Failed 5708 total leaks found for a total of 732,912 bytes. 201 unique leaks found. 2 failures 9 new passes
Apr 08 11:48	199238	failure	#4337	Failed 4781 total leaks found for a total of 2,272,064 bytes. 162 unique leaks found. 1 failures 9 new passes

Leaks output seems too large to load in the browser, but individual leaks files can be seen here: <https://build.webkit.org/results/Apple%20El%20Capitan%20(Leaks)/r199268%20(4353)/>.
Comment 6 WebKit Commit Bot 2016-04-09 13:31:13 PDT
Re-opened since this is blocked by bug 156442
Comment 7 Brian Burg 2016-04-09 20:40:16 PDT
The correct way to implement this can be copied from NodeOrString.h
Comment 8 Brian Burg 2016-04-11 13:49:51 PDT
Created attachment 276172 [details]
Proposed Fix (v2)
Comment 9 Brian Burg 2016-04-11 13:50:12 PDT
Comment on attachment 276172 [details]
Proposed Fix (v2)

Needs to land with corresponding internal change.
Comment 10 Joseph Pecoraro 2016-04-11 14:00:31 PDT
Comment on attachment 276172 [details]
Proposed Fix (v2)

r=me
Comment 11 Brian Burg 2016-04-11 16:22:11 PDT
Committed r199320: <http://trac.webkit.org/changeset/199320>